### Method

# Clutter Text get_chars

#### Declaration [src]

    gchar*
    clutter_text_get_chars (
      ClutterText* self,
      gssize start_pos,
      gssize end_pos
    )

#### Description [src]

Retrieves the contents of the `ClutterText` actor between `start_pos` and `end_pos`, but not including `end_pos`.

The positions are specified in characters, not in bytes.

#### Parameters

`start_pos`

  Type: `gssize`

  Start of text, in characters.

`end_pos`

  Type: `gssize`

  End of text, in characters.

#### Return value

Type: `gchar*`

A newly allocated string with the contents of the text actor between the specified positions. Use `g_free()` to free the resources when done.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.